CREATE TABLE Population (
	rank INTEGER,
	country VARCHAR(30) PRIMARY KEY,
	population INTEGER,
	percentage FLOAT
);
CREATE TABLE GDP (
	rank INTEGER,
	country VARCHAR(30) PRIMARY KEY,
	gdp INTEGER
);
CREATE TABLE Airport (
	code VARCHAR(30) PRIMARY KEY,
	name VARCHAR(30),
	country VARCHAR(30)
);

CREATE TABLE Class ( dept VARCHAR(6), number INTEGER, title
VARCHAR(75), PRIMARY KEY (dept, number) );

CREATE TABLE Instructor ( username VARCHAR(8), fname VARCHAR(50),
lname	VARCHAR(50), started_on CHAR(10), PRIMARY KEY (username) );

CREATE TABLE Teaches ( username VARCHAR(8), dept VARCHAR(6), number 
INTEGER, PRIMARY KEY (username, dept, number), FOREIGN KEY (username) REFERENCES Instructor(username), FOREIGN KEY (dept, number) REFERENCES Class(dept, number) );


.mode csv
.import ./population.csv Population
.import ./gdp.csv GDP
.import ./airport.csv Airport
.import ./class.csv Class
.import ./instructor.csv Instructor
.import ./teaches.csv Teaches

.headers ON
.mode column

create table a(a Integer);
create table b(b Integer);

Insert into a values (1), (2), (3), (4);
Insert into b values (3), (4), (5), (6);

.nullvalue NULL
CREATE TABLE Dancer (fname VARCHAR(20), 
lname VARCHAR(20),
years_dancing INTEGER);
INSERT INTO Dancer (fname, lname) VALUES ('Siena', 'Dumas Ang'); 
